Page MenuHomePhabricator

consolidate mailman redirects in exim aliases file
Closed, ResolvedPublic

Description

Please consolidate all the mailman redirects to a single section of the file?

Mailman List redirects

announcements: foundation-l@lists.wikimedia.org, wikimediaannounce-l@lists.wikimedia.org
communitymetrics: qgil, aklapper, cpettet, wikitech-l@lists.wikimedia.org
engineering: engineering@lists.wikimedia.org
mobile: mobile-feedback-l@lists.wikimedia.org
ops: ops@lists.wikimedia.org
ops-private: ops-private@lists.wikimedia.org
otrsadmin: otrs-admins@lists.wikimedia.org
search: wikimedia-search@lists.wikimedia.org
sec-ops: ops@lists.wikimedia.org
watchmouse: ops

@Aklapper @chasemp @Qgil (do you really need a second copy for community metrics?)

Details

Related Gerrit Patches:

Event Timeline

JKrauska assigned this task to Dzahn.
JKrauska raised the priority of this task from to Normal.
JKrauska updated the task description. (Show Details)
JKrauska added projects: Mail, Operations.

no, not really, it was a convenience at the time.

I very much doubt we need the rest either:

  • I've never heard of sec-ops
  • I don't think anyone has used ops@wikimedia.org, ops-private@wikimedia.org or engineering@wikimedia.org
  • I don't think anyone uses mobile@ (or even mobile-feedback-l)
  • I don't know about announcements@ but foundation-l was renamed many years ago...
  • No idea about otrsadmin & search

It might be worth it to grep logs for them and see if there has been anything but spam.

Dzahn added a comment.Jan 23 2016, 2:01 AM
  • I've never heard of sec-ops

Me neither, removed that one.

I don't think anyone has used ops@wikimedia.org, ops-private@wikimedia.org or engineering@wikimedia.org

That one, ops@wm, actually just popped up on T124516

Change 266316 had a related patch set uploaded (by Dzahn):
phabricator: don't use communitymetrics@, use wikitech

https://gerrit.wikimedia.org/r/266316

Dzahn set Security to None.

@mobile do you guys need mobile@wikimedia.org , the email address? It used to be this:

mobile: mobile-feedback-l@lists.wikimedia.org

Is that still used somewhere?

Change 266316 merged by Dzahn:
phabricator: don't use communitymetrics@, use wikitech

https://gerrit.wikimedia.org/r/266316

Dzahn added a comment.Jan 27 2016, 9:15 PM

@JKrauska can you do this kind of thing on your side even if both addresses are external on lists? Or should that stay in exim? Do you happen to know who uses this?

announcements: foundation-l@lists.wikimedia.org, wikimediaannounce-l@lists.wikimedia.org

Yes, it can be done on gApps via the groups system.

Dzahn added a comment.Feb 8 2016, 9:29 PM

Yes, it can be done on gApps via the groups system.

cool, thank you! i made a zendesk ticket for this

Dzahn added a comment.Feb 9 2016, 12:27 AM

It might be worth it to grep logs for them and see if there has been anything but spam.

on mx1001, zgrep through all of /var/log/exim4/*, number of hits:

engineering@wikimedia.org: 1

mobile@wikimedia.org: 14 (and 9 x reject.log) but there is: mobile-feedback-l@lists.wikimedia.org <mobile@wikimedia.org>

ops@wikimedia.org: 7

ops-private@wikimedia.org: 0

otrsadmin@wikimedia.org: 0

search@wikimedia.org: 0 (there is optoutresearch@ but not this)

watchmouse@wikimedia.org: 14

Dzahn added a comment.Feb 9 2016, 12:30 AM

search@ has been requested by Tomasz in 2015 only -> T98415

i removed: ops-private@, otrsadmin@

Dzahn added a comment.Feb 9 2016, 12:59 AM

while most things have been removed ops@, search@, mobile@, engineering@ and watchmouse@ are left and i'd keep them

announcements@ waiting for OIT to add it

Dzahn added a comment.Feb 9 2016, 9:30 PM

Eliza has setup announcements@ (http://wmf.zendesk.com/requests/10081)

removing it on our side

Dzahn closed this task as Resolved.Feb 9 2016, 9:35 PM
Dzahn removed a project: Patch-For-Review.